/*
 * wxsite.h
 * Macros for the wxWindows Web site/CD-ROM
 */

/*
 * Unfortunately we can't have a hash in the macro.
 * Backslash doesn't help either.
 */
/*
#define WXHTTP(arg) http:&#47;&#47; arg
#define WXFTP(arg) ftp:&#47;&#47; arg
*/

/* Includes wxWindows 2.0 version info */
#include <version.h>

#define WXFONTFACE "Arial, Lucida Sans, Helvetica"

#if CDROM
#define WXCONTRIB(local, remote)\
  <TD VALIGN=TOP ALIGN=CENTER BGCOLOR="#FFFFFF">\
  <A HREF=local BORDER=0><IMG SRC="images/folder.gif" BORDER=0 ALT=local></A>\
  </TD>\
  <TD VALIGN=TOP ALIGN=CENTER BGCOLOR="#FFFFFF">\
  <A HREF=remote BORDER=0 TARGET=_top><IMG SRC="images/folder.gif" BORDER=0 ALT=remote></A>\
  </TD>

#define WXCONTRIBHEADING(label, icon, title)\
  <TR>\
  <TD COLSPAN=5 ALIGN=LEFT BGCOLOR="#C0C0C0" >\
  <IMG SRC=icon ALIGN=CENTER BORDER=0> <FONT SIZE=+2><A NAME=label>title</A></FONT>\
  </TD>\
  <TD ALIGN=CENTER BGCOLOR="#C0C0C0" >\
  <A HREF="#top"><IMG SRC="images/go_top_b.gif" ALIGN=CENTER BORDER=0></A>\
  </TD>\
  </TR>\
  <TR>\
  <TD ALIGN=CENTER BGCOLOR="#DEDEDE">\
  <FONT SIZE=+0><I>Name</I></FONT>\
  </TD>\
  <TD ALIGN=CENTER BGCOLOR="#DEDEDE">\
  <FONT SIZE=+0><I>Description</I></FONT>\
  </TD>\
  <TD ALIGN=CENTER BGCOLOR="#DEDEDE">\
  <FONT SIZE=+0><I>Platform</I></FONT>\
  </TD>\
  <TD ALIGN=CENTER BGCOLOR="#DEDEDE">\
  <FONT SIZE=+0><I>Local</I></FONT>\
  </TD>\
  <TD ALIGN=CENTER BGCOLOR="#DEDEDE">\
  <FONT SIZE=+0><I>Remote</I></FONT>\
  </TD>\
  <TD ALIGN=CENTER BGCOLOR="#DEDEDE">\
  <FONT SIZE=+0><I>Availability</I></FONT>\
  </TD>\
  </TR>

#define WXCONTRIBSPACER\
  <TR>\
  <TD COLSPAN=6 ALIGN=CENTER>\
  <BR><BR>\
  </TD>\
  </TR>

#define WXAPP(local, remote)\
  <TD VALIGN=TOP ALIGN=CENTER BGCOLOR="#FFFFFF">\
  <A HREF=local BORDER=0><IMG SRC="images/folder.gif" BORDER=0 ALT=local></A>\
  </TD>\
  <TD VALIGN=TOP ALIGN=CENTER BGCOLOR="#FFFFFF">\
  <A HREF=remote BORDER=0 TARGET=_top><IMG SRC="images/folder.gif" BORDER=0 ALT=remote></A>\
  </TD>

#define WXAPPHEADING(label, icon, title)\
  <TR>\
  <TD COLSPAN=5 ALIGN=LEFT BGCOLOR="#C0C0C0" >\
  <IMG SRC=icon ALIGN=CENTER BORDER=0> <FONT SIZE=+2><A NAME=label>title</A></FONT>\
  </TD>\
  <TD ALIGN=CENTER BGCOLOR="#C0C0C0" >\
  <A HREF="#top"><IMG SRC="images/go_top_b.gif" ALIGN=CENTER BORDER=0></A>\
  </TD>\
  </TR>\
  <TR>\
  <TD ALIGN=CENTER BGCOLOR="#DEDEDE">\
  <FONT SIZE=+0><I>Name</I></FONT>\
  </TD>\
  <TD ALIGN=CENTER BGCOLOR="#DEDEDE">\
  <FONT SIZE=+0><I>Description</I></FONT>\
  </TD>\
  <TD ALIGN=CENTER BGCOLOR="#DEDEDE">\
  <FONT SIZE=+0><I>Platform</I></FONT>\
  </TD>\
  <TD ALIGN=CENTER BGCOLOR="#DEDEDE">\
  <FONT SIZE=+0><I>Local</I></FONT>\
  </TD>\
  <TD ALIGN=CENTER BGCOLOR="#DEDEDE">\
  <FONT SIZE=+0><I>Remote</I></FONT>\
  </TD>\
  <TD ALIGN=CENTER BGCOLOR="#DEDEDE">\
  <FONT SIZE=+0><I>Availability</I></FONT>\
  </TD>\
  </TR>

#define WXAPPSPACER\
  <TR>\
  <TD COLSPAN=6 ALIGN=CENTER>\
  <BR><BR>\
  </TD>\
  </TR>

#else
#define WXCONTRIB(local, remote)\
  <TD VALIGN=TOP ALIGN=CENTER BGCOLOR="#FFFFFF">\
  <A HREF=remote BORDER=0 TARGET=_top><IMG SRC="images/folder.gif" BORDER=0 ALT=remote></A>\
  </TD>

#define WXCONTRIBHEADING(label, icon, title)\
  <TR>\
  <TD COLSPAN=4 ALIGN=LEFT BGCOLOR="#C0C0C0" >\
  <IMG SRC=icon ALIGN=CENTER BORDER=0> <FONT SIZE=+2><A NAME=label>title</A></FONT>\
  </TD>\
  <TD ALIGN=CENTER BGCOLOR="#C0C0C0" >\
  <A HREF="#top"><IMG SRC="images/go_top_b.gif" ALIGN=CENTER BORDER=0></A>\
  </TD>\
  </TR>\
  <TR>\
  <TD ALIGN=CENTER BGCOLOR="#DEDEDE">\
  <FONT SIZE=+0><I>Name</I></FONT>\
  </TD>\
  <TD ALIGN=CENTER BGCOLOR="#DEDEDE">\
  <FONT SIZE=+0><I>Description</I></FONT>\
  </TD>\
  <TD ALIGN=CENTER BGCOLOR="#DEDEDE">\
  <FONT SIZE=+0><I>Platform</I></FONT>\
  </TD>\
  <TD ALIGN=CENTER BGCOLOR="#DEDEDE">\
  <FONT SIZE=+0><I>Location</I></FONT>\
  </TD>\
  <TD ALIGN=CENTER BGCOLOR="#DEDEDE">\
  <FONT SIZE=+0><I>Availability</I></FONT>\
  </TD>\
  </TR>

#define WXCONTRIBSPACER\
  <TR>\
  <TD COLSPAN=5 ALIGN=CENTER>\
  <BR><BR>\
  </TD>\
  </TR>

#define WXAPP(local, remote)\
  <TD VALIGN=TOP ALIGN=CENTER BGCOLOR="#FFFFFF">\
  <A HREF=remote BORDER=0 TARGET=_top><IMG SRC="images/folder.gif" BORDER=0 ALT=remote></A>\
  </TD>

#define WXAPPHEADING(label, icon, title)\
  <TR>\
  <TD COLSPAN=4 ALIGN=LEFT BGCOLOR="#C0C0C0" >\
  <IMG SRC=icon ALIGN=CENTER BORDER=0> <FONT SIZE=+2><A NAME=label>title</A></FONT>\
  </TD>\
  <TD ALIGN=CENTER BGCOLOR="#C0C0C0" >\
  <A HREF="#top"><IMG SRC="images/go_top_b.gif" ALIGN=CENTER BORDER=0></A>\
  </TD>\
  </TR>\
  <TR>\
  <TD ALIGN=CENTER BGCOLOR="#DEDEDE">\
  <FONT SIZE=+0><I>Name</I></FONT>\
  </TD>\
  <TD ALIGN=CENTER BGCOLOR="#DEDEDE">\
  <FONT SIZE=+0><I>Description</I></FONT>\
  </TD>\
  <TD ALIGN=CENTER BGCOLOR="#DEDEDE">\
  <FONT SIZE=+0><I>Platform</I></FONT>\
  </TD>\
  <TD ALIGN=CENTER BGCOLOR="#DEDEDE">\
  <FONT SIZE=+0><I>Location</I></FONT>\
  </TD>\
  <TD ALIGN=CENTER BGCOLOR="#DEDEDE">\
  <FONT SIZE=+0><I>Availability</I></FONT>\
  </TD>\
  </TR>

#define WXAPPSPACER\
  <TR>\
  <TD COLSPAN=5 ALIGN=CENTER>\
  <BR><BR>\
  </TD>\
  </TR>


#endif

#define WXBODY <BODY BGCOLOR="#FFFFFF" TEXT="#000000" LINK="#FF0000" VLINK="#000000">\
<FONT FACE="Arial, Lucida Sans, Helvetica">

#if CDROM
#define WXCD_OR_WEB(cdarg, webarg) cdarg
#else
#define WXCD_OR_WEB(cdarg, webarg) webarg
#endif

#if CDROM
#define WXCONTRIB2(local, ftpsite, website)\
<A HREF=local>On CD-ROM</A> | <A HREF=ftpsite>Ftp site</A> | <a href=website target=_new>Web site</a>
#else
#define WXCONTRIB2(local, ftpsite, website)\
<A HREF=ftpsite>Ftp site</A> | <a href=website target=_new>Web site</a>
#endif

#define WXCONTRIBTITLE2(title)\
<img width=8 height=10 src="images/bulletf.gif"> <b>title</b>

/*
 * Doesn't merge the strings :-(
 * #define WXMAINWEBSITE(url, name) <a href="ftp://www.remstar.com/pub/wxwin"#url"">name</a>
 */

#define WXSECTIONTITLE(titletext) \
<table width=100% border=0 cellpadding=3 cellspacing=0>\
<tr>\
<td bgcolor="#004080" align=left height=24 background="images/bluetitlegradient.gif">\
<font size=+0 face="Arial, Lucida Sans, Helvetica" color="#FFFFFF">\
<b>titletext</b>\
</font>\
</td>\
</tr>\
</table>


